KTabCtl Class Reference

`#include <ktabctl.h>`

Inherits QWidget.

## Signals

void | tabSelected (int)

## Public Member Functions

| KTabCtl (QWidget *parent=0, const char *name=0)
void | show ()
void | setFont (const QFont &font)
void | setTabFont (const QFont &font)
void | addTab (QWidget *, const QString &)
bool | isTabEnabled (const QString &)
void | setTabEnabled (const QString &, bool)
void | setBorder (bool)
void | setShape (QTabBar::Shape shape)
virtual QSize | sizeHint () const

## Protected Slots

void | showTab (int i)

## Protected Member Functions

void | paintEvent (QPaintEvent *)
void | resizeEvent (QResizeEvent *)
void | setSizes ()
QRect | getChildRect () const
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QTabBar * | tabs
QMemArray< QWidget * > | pages
int | bh
bool | blBorder

## Detailed Description

Tabbed dialog with extended features.

KTabCtl is very similar to QTabDialog, with the following differences:

- To avoid confusion, the API is almost identical with QTabDialog.
- Does not create any buttons, therefore KTabCtl is not limited to dialog boxes. You can use it whereever you want.
- emits the signal tabSelected(int pagenumber) when the user selects one of the tabs. This gives you the chance to update the widget contents of a single page. The signal is emitted before the page is shown. This is very useful if the contents of some widgets on page A depend on the contents of some other widgets on page B.

Author
  Alexander Sanda (alex@.nosp@m.dark.nosp@m.star..nosp@m.ping.nosp@m..at)

Version

Id
  ktabctl.h 465272 2005-09-29 09:47:40Z mueller

Definition at line 48 of file ktabctl.h.

## Constructor & Destructor Documentation

KTabCtl::KTabCtl | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

KTabCtl provides a universal tab control.

It is in no ways limited to dialogs and can be used for whatever you want. It has no buttons or any other stuff.

However, this is based on the original QTabDialog.

Definition at line 34 of file ktabctl.cpp.

The documentation for this class was generated from the following files:

- ktabctl.h
- ktabctl.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys